The BOOST_PP_SEQ_ENUM macro enumerates the elements in a seq.

#### Usage

BOOST_PP_SEQ_ENUM(seq)

#### Arguments

seq
  The seq from whose elements are to be enumerated.

#### Remarks

This macro expands to a comma-separated list of the elements in seq. For example, BOOST_PP_SEQ_ENUM((x)(y)(z)) expands to...
x, y, z

#### Requirements

Header: <boost/preprocessor/seq/enum.hpp>

#### Sample Code

    #include <boost/preprocessor/seq/enum.hpp>

    #define SEQ (B)(O)(O)(S)(T)

    BOOST_PP_SEQ_ENUM(SEQ) // expands to B, O, O, S, T

© Copyright Housemarque Oy 2002 © Copyright Paul Mensonides 2002

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)